﻿using GalaSoft.MvvmLight;
using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IGCheckboxTree
{
    public class SetupChangesVM : ViewModelBase
    {
        #region Constructor

        public SetupChangesVM(ObservableCollection<Item> differencesCollection)
        {
            AllItems = differencesCollection;
        }

        #endregion

        #region Properties

        /// <summary>
        /// The main object we are binding to, the overall collection of objects containing objects containing changes etc
        /// </summary>
        public ObservableCollection<Item> AllItems
        {
            get;
            private set;
        }

        #endregion

        #region Methods

 
        #endregion
    }
}
